jdbm

## Interface RecordManagerProvider

All Known Implementing Classes:
  Provider

    public interface RecordManagerProvider

Provider of RecordManager implementation. Classes implementing this interface act as a factory to provide implementations of RecordManager.

Author:
  Alex Boisvert

### Method Summary

Methods
`RecordManager` `createRecordManager(String filename, Properties options)` Create a record manager.

### Method Detail

#### createRecordManager

    RecordManager createRecordManager(String filename,
                                    Properties options)
                                      throws IOException

Create a record manager.

Parameters:
  `filename` - Base filename of the record file.
  `options` - Record manager options.
Throws:
  `IOException` - if an I/O related exception occurs while creating or opening the record manager.
  `UnsupportedOperationException` - if some options are not supported by the implementation.
  `IllegalArgumentException` - if some options are invalid.